Bug 1462558 - insists another backup is running
insists another backup is running
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 17:55 EDT by Tim Havel
Modified: 2017-08-28 12:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: deja-dup-35.5-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 12:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Havel 2017-06-18 17:55:55 EDT
Description of problem:
Setting up backup using deja-dup-preferences (from the Backup settings panel) to use an external SSD and clicking "Backup Now" gives a popup "Another backup is in progress" and refuses to start. Doing a "tail -f /var/log/messages" indicates it is because it lacks permission to access a socket, but on next line describes this problem as "Failed to connect to proxy" (although I'm not trying to backup over the network).


Version-Release number of selected component (if applicable):

$ yum info deja-dup
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirror.math.princeton.edu
 * epel: mirror.math.princeton.edu
 * extras: mirror.math.princeton.edu
 * remi-safe: repo1.ash.innoscale.net
 * updates: mirror.linux.duke.edu
Installed Packages
Name        : deja-dup
Arch        : x86_64
Version     : 34.3
Release     : 1.el7
Size        : 4.0 M
Repo        : installed
From repo   : epel
Summary     : Simple backup tool and frontend for duplicity
URL         : https://launchpad.net/deja-dup
License     : GPLv3+
Description : Déjà Dup is a simple backup tool. It hides the complexity of doing backups the
            : 'right way' (encrypted, off-site, and regular) and uses duplicity as the
            : backend.
            : 
            : Features:
            :  • Support for local, remote, or cloud backup locations (Amazon S3 or Rackspace)
            :  • Securely encrypts and compresses your data
            :  • Incrementally backs up, letting you restore from any particular backup
            :  • Schedules regular backups
            :  • Integrates well into your GNOME desktop

How reproducible:
100%

Steps to Reproduce:
1. Settings->Utilities->Backup
2. Setup to backup home dir on file://media/myssd/home
3. Click "Backup Now"

Actual results:
Popup says "Another backup is already running"

Expected results:
Backup should start.

Additional info:
$ uname -a
Linux captain-nemo 3.10.0-514.16.1.el7.x86_64 #1 SMP Wed Apr 12 15:04:24 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Jan Kurik 2017-08-15 03:35:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-08-23 10:09:17 EDT
deja-dup-35.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-23b8313056
Comment 3 Fedora Update System 2017-08-23 21:51:17 EDT
deja-dup-35.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23b8313056
Comment 4 Fedora Update System 2017-08-28 12:19:45 EDT
deja-dup-35.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.